aboutsummaryrefslogtreecommitdiffstats
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure140
1 files changed, 140 insertions, 0 deletions
diff --git a/configure b/configure
index 529e3af5a57..170eb393dea 100755
--- a/configure
+++ b/configure
@@ -15020,6 +15020,146 @@ cat >>confdefs.h <<\_ACEOF
15020#define HAVE_CARBON 1 15020#define HAVE_CARBON 1
15021_ACEOF 15021_ACEOF
15022 15022
15023
15024for ac_header in AvailabilityMacros.h
15025do
15026as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
15027if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
15028 { echo "$as_me:$LINENO: checking for $ac_header" >&5
15029echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
15030if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
15031 echo $ECHO_N "(cached) $ECHO_C" >&6
15032fi
15033ac_res=`eval echo '${'$as_ac_Header'}'`
15034 { echo "$as_me:$LINENO: result: $ac_res" >&5
15035echo "${ECHO_T}$ac_res" >&6; }
15036else
15037 # Is the header compilable?
15038{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
15039echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
15040cat >conftest.$ac_ext <<_ACEOF
15041/* confdefs.h. */
15042_ACEOF
15043cat confdefs.h >>conftest.$ac_ext
15044cat >>conftest.$ac_ext <<_ACEOF
15045/* end confdefs.h. */
15046$ac_includes_default
15047#include <$ac_header>
15048_ACEOF
15049rm -f conftest.$ac_objext
15050if { (ac_try="$ac_compile"
15051case "(($ac_try" in
15052 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
15053 *) ac_try_echo=$ac_try;;
15054esac
15055eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
15056 (eval "$ac_compile") 2>conftest.er1
15057 ac_status=$?
15058 grep -v '^ *+' conftest.er1 >conftest.err
15059 rm -f conftest.er1
15060 cat conftest.err >&5
15061 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15062 (exit $ac_status); } && {
15063 test -z "$ac_c_werror_flag" ||
15064 test ! -s conftest.err
15065 } && test -s conftest.$ac_objext; then
15066 ac_header_compiler=yes
15067else
15068 echo "$as_me: failed program was:" >&5
15069sed 's/^/| /' conftest.$ac_ext >&5
15070
15071 ac_header_compiler=no
15072fi
15073
15074rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
15075{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
15076echo "${ECHO_T}$ac_header_compiler" >&6; }
15077
15078# Is the header present?
15079{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
15080echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
15081cat >conftest.$ac_ext <<_ACEOF
15082/* confdefs.h. */
15083_ACEOF
15084cat confdefs.h >>conftest.$ac_ext
15085cat >>conftest.$ac_ext <<_ACEOF
15086/* end confdefs.h. */
15087#include <$ac_header>
15088_ACEOF
15089if { (ac_try="$ac_cpp conftest.$ac_ext"
15090case "(($ac_try" in
15091 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
15092 *) ac_try_echo=$ac_try;;
15093esac
15094eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
15095 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
15096 ac_status=$?
15097 grep -v '^ *+' conftest.er1 >conftest.err
15098 rm -f conftest.er1
15099 cat conftest.err >&5
15100 echo "$as_me:$LINENO: \$? = $ac_status" >&5
15101 (exit $ac_status); } >/dev/null && {
15102 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
15103 test ! -s conftest.err
15104 }; then
15105 ac_header_preproc=yes
15106else
15107 echo "$as_me: failed program was:" >&5
15108sed 's/^/| /' conftest.$ac_ext >&5
15109
15110 ac_header_preproc=no
15111fi
15112
15113rm -f conftest.err conftest.$ac_ext
15114{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
15115echo "${ECHO_T}$ac_header_preproc" >&6; }
15116
15117# So? What about this header?
15118case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
15119 yes:no: )
15120 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
15121echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
15122 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
15123echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
15124 ac_header_preproc=yes
15125 ;;
15126 no:yes:* )
15127 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
15128echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
15129 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
15130echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
15131 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
15132echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
15133 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
15134echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
15135 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
15136echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
15137 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
15138echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
15139
15140 ;;
15141esac
15142{ echo "$as_me:$LINENO: checking for $ac_header" >&5
15143echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
15144if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
15145 echo $ECHO_N "(cached) $ECHO_C" >&6
15146else
15147 eval "$as_ac_Header=\$ac_header_preproc"
15148fi
15149ac_res=`eval echo '${'$as_ac_Header'}'`
15150 { echo "$as_me:$LINENO: result: $ac_res" >&5
15151echo "${ECHO_T}$ac_res" >&6; }
15152
15153fi
15154if test `eval echo '${'$as_ac_Header'}'` = yes; then
15155 cat >>confdefs.h <<_ACEOF
15156#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
15157_ACEOF
15158
15159fi
15160
15161done
15162
15023 ## Specify the install directory 15163 ## Specify the install directory
15024 carbon_appdir= 15164 carbon_appdir=
15025 if test "${carbon_appdir_x}" != ""; then 15165 if test "${carbon_appdir_x}" != ""; then